Refresh MCP Capabilities
Re-fetch (or accept a manually pasted) capability schema for an existing listing. Caller must own the listing or be an admin - same authorization as PUT /{listing_id}.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
listing_id*Listing Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/mcp/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema/refresh" \ -H "Content-Type: application/json" \ -d '{}'{ "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304", "schema_updated_at": "2019-08-24T14:15:22Z", "tools_count": 0, "resources_count": 0, "prompts_count": 0, "revision": 0, "revision_status": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}